Hello,

fix bug, download file from Adobe.

Best regards,

Basti

--- a/update-flashplugin-nonfree	2016-08-06 07:09:30.000000000 +0200
+++ b/update-flashplugin-nonfree	2017-06-08 21:50:06.227911306 +0200
@@ -1,6 +1,10 @@
 #!/bin/sh
 
 # Copyright (C) 2006-2014 Bart Martens <ba...@knars.be>
+# Copyright (C) 2017 Sebastian Fiedler <b...@unix-solution.de>
+#    - fix debian bug #851066
+#    - download file from Adobe, Bart's repo seems to be outdated
+#    - remove md5sum stuff, I have not found md5sum at Adobe Website
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 2 as
@@ -285,42 +289,11 @@
 			[ "$fast" != "yes" ] || wgetoptions="$wgetoptions $wgetfast"
 			[ "$verbose" != "yes" ] || echo "wgetoptions=$wgetoptions"
 
-			downloadfile=fp.$upstream.sha512.i386.pgp.asc
-			[ `dpkg --print-architecture` != "amd64" ] || downloadfile=fp.$upstream.sha512.amd64.pgp.asc
-			downloadurl=http://people.debian.org/~bartm/flashplugin-nonfree/D5C0FC14/$downloadfile
-
-			[ "$verbose" != "yes" ] || echo "downloading $downloadurl ..."
-			HOME=/root \
-			wget $wgetoptions $downloadurl \
-				|| [ "$verbose" != "yes" ] || echo "wget failed to download $downloadurl" >&2
-
-			if [ ! -e $downloadfile ]
-			then
-				downloadfile=fp10.sha512.i386.pgp.asc
-				[ `dpkg --print-architecture` != "amd64" ] || downloadfile=fp10.sha512.amd64.pgp.asc
-				downloadurl=http://people.debian.org/~bartm/flashplugin-nonfree/D5C0FC14/$downloadfile
-
-				[ "$verbose" != "yes" ] || echo "downloading $downloadurl ..."
-				HOME=/root \
-				wget $wgetoptions $downloadurl \
-					|| die_hard_with_a_cleanup "wget failed to download $downloadurl"
-			fi
-
-			[ "$verbose" != "yes" ] || echo "verifying PGP $downloadfile ..."
-			gpg -q --homedir "." --verify $downloadfile 2> /dev/null \
-				|| die_hard_with_a_cleanup "gpg rejected signature of $downloadurl"
-			gpg -q --homedir "." < $downloadfile > checksums.txt 2> /dev/null \
-				|| die_hard_with_a_cleanup "gpg rejected signature of $downloadurl"
-
-			downloadfile=`head -n 1 < checksums.txt | cut -c 131-`
-
-			[ "$verbose" != "yes" ] || [ ! -f $cachedir/$downloadfile ] || echo "copying $cachedir/$downloadfile ..."
-			[ ! -f $cachedir/$downloadfile ] || cp -p $cachedir/$downloadfile .
-			[ "$verbose" != "yes" ] || [ ! -f $downloadfile ] || echo "verifying checksum $downloadfile ..."
-			[ ! -f $downloadfile ] || grep $downloadfile checksums.txt | sha512sum -c - > /dev/null 2>&1 || rm -f $downloadfile
-
-			downloaddir=`tail -n 1 < checksums.txt`
-			downloadurl=$downloaddir/$downloadfile
+			# original script use i686 for arch != amd64 adobe use i386
+			[ "$arch_wget" != "i686" ] || arch_wget=i386
+			downloaddir=$upstream
+			downloadfile=flash_player_npapi_linux.$arch_wget.tar.gz
+			downloadurl=https://fpdownload.adobe.com/get/flashplayer/pdc/$downloaddir/$downloadfile
 
 			wgetoptions="$wgetalways $wgetprogress"
 			[ "$quiet" != "yes" ] || wgetoptions="$wgetquiet $wgetalways"
@@ -333,21 +306,14 @@
 			HOME=/root \
 			wget $wgetoptions $downloadurl \
 				|| die_hard_with_a_cleanup "wget failed to download $downloadurl"
-			[ "$verbose" != "yes" ] || echo "verifying checksum $downloadfile ..."
-			grep tar.gz checksums.txt | sha512sum -c - > /dev/null 2>&1 \
-				|| die_hard_with_a_cleanup "sha512sum rejected $downloadfile"
 			[ "$verbose" != "yes" ] || echo "unpacking $downloadfile ..."
 			tar xozf $downloadfile
-			[ "$verbose" != "yes" ] || echo "verifying checksum contents of $downloadfile ..."
-			head -n 2 < checksums.txt | sha512sum -c - > /dev/null 2>&1 \
-				|| die_hard_with_a_cleanup "sha512sum rejected a part of $downloadfile"
 
 			targetdir=/usr/lib/flashplugin-nonfree
-			libflashplayerdotso=`grep "  .*libflashplayer\.so$" checksums.txt | cut -c 131-`
 
-			[ "$verbose" != "yes" ] || echo "moving $libflashplayerdotso to $targetdir ..."
+			[ "$verbose" != "yes" ] || echo "moving $UNPACKDIR/libflashplayer.so to $targetdir ..."
 			rm -f $targetdir/flashplayer.xpt
-			mv -f $libflashplayerdotso $targetdir
+			mv -f $UNPACKDIR/libflashplayer.so $targetdir
 
 			[ "$verbose" != "yes" ] || echo "setting permissions and ownership of $targetdir/libflashplayer.so ..."
 			chown root:root $targetdir/libflashplayer.so

Reply via email to